ul {
    counter-reset: list 0 second 100;
    padding-left: 100px;
}

li {
    counter-increment: list 1 second 100;
}

li:nth-child(5) {
    counter-set: second 1000;
}

li::marker {
    content: "Step: " counter(list) ". ";
}

li::after {
    content: " | " counter(second) ". ";
}